Package ru.yandex.clickhouse

## Class ClickHousePreparedStatementParameter

- java.lang.Object
- - ru.yandex.clickhouse.ClickHousePreparedStatementParameter

    public final class ClickHousePreparedStatementParameter
    extends Object

### Constructor Summary

Constructors
`ClickHousePreparedStatementParameter​(String stringValue, boolean quoteNeeded)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ClickHousePreparedStatementParameter` `boolParameter​(boolean value)`
`static ClickHousePreparedStatementParameter` `fromObject​(Object x, TimeZone dateTimeZone, TimeZone dateTimeTimeZone)`
`static ClickHousePreparedStatementParameter` `nullParameter()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClickHousePreparedStatementParameter

    public ClickHousePreparedStatementParameter​(String stringValue,
                                                boolean quoteNeeded)

### Method Detail

#### fromObject

    public static ClickHousePreparedStatementParameter fromObject​(Object x,
                                                                  TimeZone dateTimeZone,
                                                                  TimeZone dateTimeTimeZone)

#### nullParameter

    public static ClickHousePreparedStatementParameter nullParameter()

#### boolParameter

    public static ClickHousePreparedStatementParameter boolParameter​(boolean value)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`